#ifndef CURSORUUID_DB_H
#define CURSORUUID_DB_H
/*lint ++flb */

/* Raima Database Manager 12.0.0.1000 */

/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - UUID Datatype for C using Cursors */
/* This is the DDL (Database Definition Language) for a single field,
 * single record-type database. The one record type is called UUIDRecord,
 * and it's one field, uuidCol, can store a UUID. The program
 * will create a new record containing a UUID in the field, then
 * it will read through all records in the database and print their
 * contents.
 */

/* database CursorUUID_db record/key structure declarations */

struct UUIDRecord {
   UUID_VAL uuidCol;
};

/* record, field and set table entry definitions */

/* File Id Constants */

/* Record Name Constants */
#define UUIDRECORD 10000

/* Field Name Constants */
#define UUIDCOL 0L

/* Set Name Constants */

/* Field Sizes */
#define SIZEOF_UUIDCOL 16

/*lint --flb */
#endif    /* CURSORUUID_DB_H */
